LibreOffice LibreOffice 7.2 SDK API Reference

Exported Interfaces | List of all members
CustomShapeEngine Service Reference

This service is for a CustomShape. More...

`import"CustomShapeEngine.idl";`

Inheritance diagram for CustomShapeEngine:

## Exported Interfaces
interface | ::com::sun::star::lang::XInitialization
| initializing the CustomShapeEngine More...
interface | com::sun::star::drawing::XCustomShapeEngine

## Additional Inherited Members
Public Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XCustomShapeEngine
com::sun::star::drawing::XShape | render ()
com::sun::star::awt::Rectangle | getTextBounds ()
com::sun::star::drawing::PolyPolygonBezierCoords | getLineGeometry ()
sequence< com::sun::star::drawing::XCustomShapeHandle > | getInteraction ()

## Detailed Description

This service is for a CustomShape.

## Exported Interfaces

## ◆ ::com::sun::star::lang::XInitialization

interface ::com::sun::star::lang::XInitialization

initializing the CustomShapeEngine

## ◆ com::sun::star::drawing::XCustomShapeEngine

interface com::sun::star::drawing::XCustomShapeEngine

The documentation for this service was generated from the following file:

- com/sun/star/drawing/CustomShapeEngine.idl